<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Hunting Http Request Smuggling — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `detect --url <val> --method <val>` | Detect HTTP request smuggling |
| `confirm --url <val> --variant <val>` | Confirm smuggling variant |
| `exploit --url <val> --vector <val>` | Exploit smuggling vulnerability |
| `report --url <val> --format <val>` | Generate smuggling report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--url` | string | Yes | Url parameter |
| `--method` | string | Yes | Method parameter |
| `--variant` | string | Yes | Variant parameter |
| `--vector` | string | Yes | Vector parameter |
| `--format` | string | Yes | Format parameter |
